package com.pcloud.book.es.facade.impl;

import com.pcloud.book.es.biz.ESBookGroupQrcodeBiz;
import com.pcloud.book.es.entity.ESBookGroupQrcode;
import com.pcloud.common.dto.ResponseDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController("esBookGroupQrcodeFacade")
@RequestMapping("esBookGroupQrcode")
@Api(description = "book_group_qrcode ES 外部接口")
public class ESBookGroupQrcodeFacadeImpl {

    @Autowired
    private ESBookGroupQrcodeBiz esBookGroupQrcodeBiz;

    @ApiOperation("初始化数据")
    @RequestMapping(value = "init",method = RequestMethod.GET)
    public ResponseDto<?> initData(){
        esBookGroupQrcodeBiz.initData();
        return new ResponseDto<>();
    }

    @ApiOperation(value = "搜索群 标签/群名称",httpMethod = "GET")
    @RequestMapping(value = "/search",method = RequestMethod.GET)
    public ResponseDto<List<ESBookGroupQrcode>> search(@RequestParam(value = "text",required = false)String text,
                                                       @RequestParam("pageSize") Integer pageSize,
                                                       @RequestParam("pageNum") Integer pageNum){

        return new ResponseDto<>(esBookGroupQrcodeBiz.search(text, pageSize, pageNum));
    }

}
